Create user

Create a new user in your account.

Required Fields:

  • first_name: User's first name
  • email: User's email address. Must be globally unique across all accounts.
  • role_id: Role ID (must match an ID from GET /roles)

Optional Fields:

  • last_name: User's last name
  • phone: Phone number
  • user_avatar: Avatar URL

Default Values:

  • active: All new users are created as active (active=1) by default. Use the deactivate endpoint to disable users after creation.

Invite Behavior:

  • When a user is created with an email address, an invite is automatically created and sent.
  • To re-send an invite, use the POST /users/{id}/resend endpoint.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
uri | null

Icon URL

string
required
length ≤ 200
string | null
string | null
required
string | null
integer | null
required

Role ID

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json